//
// mime_types.hpp
// ~~~~~~~~~~~~~~
//
// Copyright (c) 2003-2024 Christopher M. Kohlhoff (chris at kohlhoff dot com)
//
// Distributed under the Boost Software License, Version 1.0. (See accompanying
// file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
//

#ifndef HTTP_MIME_TYPES_HPP
#define HTTP_MIME_TYPES_HPP

#include <string>


namespace http::server::mime_types {
    enum Mime {
        image_gif, // image/gif
        image_png, // image/png
        image_jpeg, // image/jpeg
        image_svg, // image/svg+xml
        image_webp, // image/webp
        image_ico, // image/vnd.microsoft.icon
        text_plain, // text/plain
        text_html, // text/html
        text_css, // text/css
        json, // application/json
        javascript, // application/javascript
        blob // application/octet-stream
    };

    std::string to_string(Mime m);

    /// Convert a file extension into a MIME type.
    std::string extension_to_type(const std::string &extension);
} // namespace http::server::mime_types


#endif // HTTP_MIME_TYPES_HPP
